servant-0.20.3.0: A family of combinators for defining webservices APIs

Safe Haskell | None
Language | Haskell2010

Servant.API.NamedRoutes

Contents

- NamedRoutes combinator

Synopsis

- data NamedRoutes (api :: Type -> Type)

# NamedRoutes combinator

data NamedRoutes (api :: Type -> Type) Source #

Combinator for embedding a record of named routes into a Servant API type.

#### Instances

Instances details

(HasLink (ToServantApi routes), forall a. GLink routes a, ErrorIfNoGeneric routes) => HasLink (NamedRoutes routes :: Type) Source # |
Instance details Defined in Servant.Links Methods toLink :: (Link -> a) -> Proxy (NamedRoutes routes) -> Link -> MkLink (NamedRoutes routes) a Source #
type MkLink (NamedRoutes routes :: Type) a Source # |
Instance details Defined in Servant.Links type MkLink (NamedRoutes routes :: Type) a = routes (AsLink a)